---
title: "Update status of approver and task."
slug: "update-status-of-approver-and-task"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
canonical: "support.fortanix.com/update-status-of-approver-and-task"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update status of approver and task.

Patch/v1/tasks/{task-id}

Update status of approver and task.

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Path parameterstask-idstring (uuid) Required

UUID of a task.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='2d689ac1-4533-4d56-a379-f267ec30199f'>application/json</option>
</select>object  statusstring    Required

Approval status.

Valid values[
  "APPROVED",
  "DENIED"
]
denial_reasonstring    

Reason associated with the denial.

Responses200

Updated Task status.

<select class='api-response-data' aria-label='Media type'><option value='27850ddb-3927-4eff-b847-db06a03b978d'>application/json</option>
</select>Expand Allobject  task_idstring  (uuid)    

Task Id

certificate_idstring  (uuid)    

Certificate Id in case of certificate issuance task.

node_idstring  (uuid)    

Compute Node Id.

task_typestring    

The types of tasks supported.

Valid values[
  "NODE_ATTESTATION",
  "CERTIFICATE_ISSUANCE",
  "BUILD_WHITELIST",
  "DOMAIN_WHITELIST"
]
task_statusobject (TaskStatus)  

Status info for a task.

created_atinteger  (int64)    

Task creation time

status_updated_atinteger  (int64)    

Time since the status change.

statusstring    

Status string for a task.

Valid values[
  "INPROGRESS",
  "FAILED",
  "SUCCESS",
  "DENIED"
]

build_idstring  (uuid)    

Build Id.
